s = Server.local;
s.waitForBoot {
    var synth, module;

    // Create the synth definition and load it
    module = SynthDef.new("module", { 
        var mod, car, modPartial=2.401, carPartial=1, index=3, freq=440, mul=0.05;

        mod = SinOsc.ar(
            freq * modPartial,
            0,
            200
        );

        car = SinOsc.ar(
            (freq * carPartial) + mod,
            0,
            1
        );

        Out.ar(0, Disintegrator.ar(car, MouseX.kr(0, 1)));
    });

    module.load(s);
    s.sync;

    synth = Synth.new("module");
};
